@use "../abstracts/" as abstracts;
@use "sass:map";

.login_page_layout {
  display: grid;
  grid-template-columns: repeat(12, 1fr);
  grid-template-rows: repeat(1, minmax(auto, 100vh));

  & > * {
    max-height: 100vh;
  }

  & > .layout__login {
    grid-column: 1 / 6;
    max-width: 50%;
    display: grid;
    justify-content: center;
    margin: 2em auto 2em auto;
  }

  & > .layout__banner {
    grid-column: 6 / 13;
    background-color: map.get(abstracts.$sl-colors--background, "secondary");
  }

  .layout__banner {
    .banner__images {
      position: relative;
      margin: 2em auto 2em auto;
      padding: 3em;

      max-width: 70%;

      .banner__image:nth-child(1) {
        @include abstracts.image(313px, 436.41px, 14.31px);
      }

      .banner__image:nth-child(2) {
        @include abstracts.image(294px, 279px, 13.44px);
        margin-bottom: 15%;
        margin-left: 5%;
      }

      .banner__image:nth-child(3) {
        @include abstracts.image(618px, 132px, 13.55px);
        margin-top: -8%;
        margin-left: -5%;
      }
    }
  }
}

.main_page_layout {
  display: grid;
  grid-template-columns: repeat(12, 1fr);
  grid-template-rows: 1;

  margin: 2em 4em 2em 4em;

  .header,
  .hero,
  .menu {
    grid-column: 1 / 13;
  }

  .header {
    .navigation {
      display: grid;
      grid-template-columns: repeat(12, fr);
      grid-template-rows: 1;
      align-items: center;

      &__logo {
        grid-column: 2 / 3;
      }

      &__search {
        grid-column: 3 / 6;
      }

      &__list--desktop {
        grid-column: 6 / 10;

        & > * {
          display: inline-block;
          margin-right: 2em;
        }

        text-align: right;
      }

      &__profile {
        grid-column: 10 / 12;

        & > * {
          display: inline-block;
          margin-left: 0.125em;
        }
      }

      &__list--mobile {
        width: 50px;
        height: 50px;
        grid-column: 12 / 13;

        display: none;
      }
    }
  }

  .hero {
    display: grid;
    grid-template-columns: repeat(12, 1fr);
    grid-template-rows: 1;

    & > * {
      display: grid;
      grid-template-columns: repeat(12, maxmin(auto, 1fr));
      grid-template-rows: 1;
      align-items: center;
      padding: 4em 0 4em 0;

      .card__img {
        grid-column: 3 / 6;

        & > * {
          display: block;
        }
      }

      .card__text {
        grid-column: 7 / 13;

        & > * {
          display: block;
        }
      }
    }

    &__card:nth-child(1) {
      grid-column: 1 / 7;
    }

    &__card:nth-child(2) {
      grid-column: 7 / 13;
    }
  }

  .menu {
    &__options {
      display: grid;
      grid-template-columns: repeat(6, 1fr);
      grid-template-rows: 1;
      grid-gap: 4em;
      margin: 4em;
      // buttons
      .button {
        min-height: 100px;
        padding: 1.5em;

        &__text {
          display: block;
        }
      }
    }

    &__search_results {
      .search_results__text--heading {
        margin-left: 4.5em;
      }

      .cards {
        display: grid;
        grid-template-columns: repeat(3, 1fr);
        grid-template-rows: 1;
        justify-items: center;

        &__card--featured {
          .card__container {
            position: relative;
            .featured_text {
              position: absolute;
              top: 0;
              right: 0;
              padding: 8px;
            }
          }
        }

        .card__keywords {
          & > * {
            border-radius: 25px;
            display: inline-block;
            margin: 1em 0.125em 1em 0.125em;
            padding: 0.5em;
          }
        }
      }
    }
  }
}

@media only screen and (max-width: 1800px) {
  .login_page_layout {
    & > .layout__login {
      grid-column: 1 / 13;
    }

    .layout__banner {
      display: none;
    }
  }
}

@media only screen and (max-width: 1230px) {
  .main_page_layout {
    margin: 2em 1em 2em 1em;

    .navigation {
      &__logo {
        grid-column: 1 / 2 !important;
      }

      &__search {
        grid-column: 2 / 5 !important;
      }

      &__list--desktop {
        display: none;
      }

      &__profile {
        grid-column: 5 / 8 !important;
      }

      &__list--mobile {
        display: block !important;
        grid-column: 8 / 13 !important;
      }
    }

    .hero {
      display: grid;
      grid-template-columns: repeat(12, 1fr);
      grid-template-rows: 1;

      .hero__card {
        margin: 1em 2em 1em 2em;
      }

      // cards
      & > * {
        display: grid;
        grid-template-columns: repeat(12, maxmin(auto, 1fr));
        grid-template-rows: 2;
        justify-content: center;
        align-items: center;

        padding: 4em 0 4em 0;

        .card__img {
          grid-column: 1 / 13;
          order: 2;
        }

        .card__text {
          grid-column: 1 / 13;
          order: 1;

          &--foodtype {
            float: right;
            transform: translateY(-300%);
          }
        }
      }

      &__card:nth-child(1) {
        grid-column: 1 / 13;
      }

      &__card:nth-child(2) {
        grid-column: 1 / 13;
      }
    }

    .menu {
      margin-left: auto;
      margin-right: auto;
      &__options {
        grid-template-columns: repeat(3, 1fr);
        grid-template-rows: repeat(2, auto);
        grid-gap: 0;
      }

      &__search_results {
        .cards {
          display: inline-block;
        }
      }
    }
  }
}
